setState
Use the interface to set audio state.
Request Mode
POST/GET http://ip/V1.0/volume/setState?type=3&state=1
Request Data
| Parameter | Type | Description |
|---|---|---|
| type | Int | The audio type |
| state | Int | The audio state. 0: Always on (unmute), the audio is always mixed to the program output. 1: Always off (mute), the audio is always not mixed to the program output. 2: Audio-follow-video (AFV), only when the source is in the program view, the audio is mixed to the program output, which is the default value. |
Audio Type
Director Plus
| Type | Description |
|---|---|
| 0x0001 | Monitor |
| 0x0003 | Program |
| 0x0700 | HDMI 1 |
| 0x0800 | HDMI 2 |
| 0x0802 | HDMI 3 |
| 0x0803 | HDMI 4 |
| 0x0200 | Mic 1 |
| 0x0201 | Mic 2 |
| 0x0300 | Bluetooth input |
| 0x0600 | BGM |
| 0x0604 | App1 |
| 0x0605 | App2 |
| 0x0606 | App3 |
For other audio types, please refer to getConfig.
Director One / Director Mini
| Type | Description |
|---|---|
| 0x0001 | Monitor |
| 0x0003 | Program |
| 0x0700 | HDMI 1 |
| 0x0800 | HDMI 2 |
| 0x0200 | Microphone |
| 0x0300 | Bluetooth input |
| 0x0600 | BGM |
For other audio types, please refer to getConfig.